<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:c="http://xmlns.jcp.org/jsp/jstl/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">
    <h:head>
        <title>#{projectsBean.selectedProject.name}</title>
        <style type="text/css">
            .th {
                background-color: #fca752 !important;
                background-image: none !important;
                color: #000000 !important;
            }
        </style>
    </h:head>
    <h:body>
        <div class="ui-fluid">
            <p:outputLabel style="color: darkorange; font-size: 30px">
                <b>#{projectsBean.selectedProject.name} </b>
            </p:outputLabel>
        </div>
        <h:form>
            <h:commandLink value="Download von #{projectsBean.selectedProject.name} als CSV" action="#{projectsBean.download()}" />
        </h:form>
        <br/>
        <c:forEach var="sprint" items="#{projectsBean.selectedProject.getOrderedIssues()}">
            <div class="ui-fluid">
                <p:outputLabel style="color: gray; font-size: 25px">
                    <b> #{sprint.name} </b>
                </p:outputLabel>
            </div>

            <p:dataTable value="#{sprint.issues}" var="issue">
                <p:column style="#{issue.isInMoreThanOneSprint() ? 'background: lightsalmon' : ''}" >
                    <f:facet name="header" >Issue</f:facet>
                        #{issue.title} 
                </p:column>
                <p:column>
                    <f:facet name="header">Zugeteilt</f:facet>
                        #{issue.assignee}
                </p:column>
                <p:column style="#{issue.isEstimatedNotSet() ? 'background: lightcoral' : ''}">
                    <f:facet name="header">Estimate</f:facet>
                        #{issue.estimate}
                </p:column>
                <p:column style="#{issue.isSpendNotSet() ? 'background: lightcoral' : ''}">
                    <f:facet name="header">Spend</f:facet>
                        #{issue.spend}
                </p:column>
                <p:column >
                    <f:facet name="header">State</f:facet>
                        #{issue.state}
                </p:column>
            </p:dataTable>
            <br></br>
        </c:forEach>
        <br/>
        <br/>
        <c:forEach var="user" items="#{projectsBean.selectedProject.getUsers()}">
            <div class="ui-fluid">
                <p:outputLabel style="color: black; font-size: 20px">
                    <b>#{user.nameOfUser} </b>
                </p:outputLabel>
                <br/>
            </div>
            <c:forEach var="chart" items="#{user.getChartModels()}" varStatus="status">
                <p:chart type="pie" model="#{chart}" style="width:33%; display: inline-block" responsive="true"/>
            </c:forEach>
        </c:forEach>
        <br/>
        <p:outputLabel style="color: black; font-size: 20px">
            <b>Statistiken über das Team</b>
        </p:outputLabel>
        <br/>
        <c:forEach var="teamChart" items="#{projectsBean.selectedProject.getTeamCharts()}">
            <p:chart type="pie" model="#{teamChart}" style="width:50%; display: inline-block" responsive="true"/>
        </c:forEach>
    </h:body>
</html>

